Package oracle.kv.exttab

# Class ExternalTableUtils

java.lang.Object
oracle.kv.exttab.ExternalTableUtils

public final class ExternalTableUtils extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `WRITE_FILE_RESOURCE_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getLocationSQL()`
  Get LOCATION clause information from the ALL_EXTERNAL_LOCATIONS dictionary view.
  `static String`
  `getWriteFileSQL()`
  `static String[]`
  `splitTableName(String tableAndSchemaName, String defaultSchemaName)`
  Return the components of a schema qualified table name.
  `static void`
  `validateTableName(String tableName)`
  Validate the schema qualified table name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WRITE_FILE_RESOURCE_NAME

    public static final String WRITE_FILE_RESOURCE_NAME
    See Also:
      - Constant Field Values

- ## Method Details

  - ### validateTableName

    public static void validateTableName(String tableName) throws ExternalTableException
    Validate the schema qualified table name. The format is [schema.]tableName.
    Throws:
      `ExternalTableException`

  - ### splitTableName

    public static String[] splitTableName(String tableAndSchemaName, String defaultSchemaName)
    Return the components of a schema qualified table name.
    Parameters:
      `tableAndSchemaName` - schema qualified table name to be split into schema and table name components.
    Returns:
      a String[2] containing the schema name ([0]) and table name ([1]), or null if the tableName does not match the expected pattern specified by TABLE_PATTERN.

  - ### getLocationSQL

    public static String getLocationSQL()
    Get LOCATION clause information from the ALL_EXTERNAL_LOCATIONS dictionary view. OWNER is a bind variable. The directory_path is fetched for debugging.

  - ### getWriteFileSQL

    public static String getWriteFileSQL() throws IOException
    Throws:
      `IOException`